(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/scripts/game_events.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, '95306HpTHxEd6yJ7RC4W+Zr', 'game_events', __filename);
// scripts/game_events.ts

// export const game_events =  {
//     top_layer_begin_change: 'TOP_LAYER_BEGIN_CHANGE',
//     top_layer_changed:'TOP_LAYER_CHANGED',
//     layer_clear:'LAYER_CLEAR',
//     layer_count_changed:'LAYER_COUNT_CHANGED',
//     start_layer_changed:'START_LAYER_CHANGED',
//     side_cells_changed:'SIDE_CELLS_CHANGED',
//     cell_size_changed:'CELL_SIZE_CHANGED',
//     cell_space_changed:'CELL_SPACE_CHANGED',
//     total_cells_changed:'CELL_COUNT_CHANGED',
//     block_clicked: 'BLOCK_CLICKED',
//     block_progress_changed: 'BLOCK_PROGRESS_CHANGE',
//     unwalkable: 'UNWALKABLE',
//     walkable: 'WALKABLE',
//     path_found: 'PATH_FOUND',
//     reach_target: 'REACH_TARGET',
//     block_dead: 'BLOCK_DEAD',
//     energy_changed: 'ENERGY_CHANGED',
//     silver_changed: 'SILVER_CHANGED',
//     gold_changed: 'GOLD_CHANGED',
//     active_block_prize: 'ACTIVE_BLOCK_PRIZE',
// };
Object.defineProperty(exports, "__esModule", { value: true });
var game_events;
(function (game_events) {
    game_events[game_events["game_model_ready"] = 0] = "game_model_ready";
    game_events[game_events["top_layer_begin_change"] = 1] = "top_layer_begin_change";
    game_events[game_events["layer_clear"] = 2] = "layer_clear";
    game_events[game_events["layer_count_changed"] = 3] = "layer_count_changed";
    game_events[game_events["start_layer_changed"] = 4] = "start_layer_changed";
    game_events[game_events["side_cells_changed"] = 5] = "side_cells_changed";
    game_events[game_events["cell_size_changed"] = 6] = "cell_size_changed";
    game_events[game_events["cell_space_changed"] = 7] = "cell_space_changed";
    game_events[game_events["total_cells_changed"] = 8] = "total_cells_changed";
    game_events[game_events["block_clicked"] = 9] = "block_clicked";
    game_events[game_events["block_progress_changed"] = 10] = "block_progress_changed";
    game_events[game_events["unwalkable"] = 11] = "unwalkable";
    game_events[game_events["walkable"] = 12] = "walkable";
    game_events[game_events["path_found"] = 13] = "path_found";
    game_events[game_events["reach_target"] = 14] = "reach_target";
    game_events[game_events["block_dead"] = 15] = "block_dead";
    game_events[game_events["energy_changed"] = 16] = "energy_changed";
    game_events[game_events["silver_changed"] = 17] = "silver_changed";
    game_events[game_events["gold_changed"] = 18] = "gold_changed";
    game_events[game_events["show_block_prize"] = 19] = "show_block_prize";
    game_events[game_events["game_prop_btn_selected"] = 20] = "game_prop_btn_selected";
    game_events[game_events["game_prop_btn_deselected"] = 21] = "game_prop_btn_deselected";
    game_events[game_events["lift_reached"] = 22] = "lift_reached";
    game_events[game_events["block_life_changed"] = 23] = "block_life_changed";
    game_events["signed_in"] = "signed_in";
    game_events["play_roulette"] = "play_roulette";
    game_events["use_prop"] = "use_prop";
    game_events["enter_mine"] = "enter_mine";
    game_events["top_layer_changed"] = "top_layer_changed";
    game_events["enter_dig_mine_play"] = "enter_dig_mine_play";
    game_events["roulette_btn_clicked"] = "roulette_btn_clicked";
    game_events["answered"] = "answered";
})(game_events = exports.game_events || (exports.game_events = {}));
var block_prize_events;
(function (block_prize_events) {
    block_prize_events[block_prize_events["silver_mine_hit"] = 1000] = "silver_mine_hit";
    block_prize_events[block_prize_events["gold_mine_hit"] = 1001] = "gold_mine_hit";
    block_prize_events[block_prize_events["row_bomb_hit"] = 1002] = "row_bomb_hit";
    block_prize_events[block_prize_events["col_bomb_hit"] = 1003] = "col_bomb_hit";
    block_prize_events[block_prize_events["cross_bomb_hit"] = 1004] = "cross_bomb_hit";
    block_prize_events[block_prize_events["layer_bomb_hit"] = 1005] = "layer_bomb_hit";
    block_prize_events[block_prize_events["add_silver_mine"] = 1006] = "add_silver_mine";
    block_prize_events[block_prize_events["add_gold_mine"] = 1007] = "add_gold_mine";
    block_prize_events[block_prize_events["add_row_bomb"] = 1008] = "add_row_bomb";
    block_prize_events[block_prize_events["add_col_bomb"] = 1009] = "add_col_bomb";
    block_prize_events[block_prize_events["add_cross_bomb"] = 1010] = "add_cross_bomb";
    block_prize_events[block_prize_events["add_layer_bomb"] = 1011] = "add_layer_bomb";
})(block_prize_events = exports.block_prize_events || (exports.block_prize_events = {}));
var value_events;
(function (value_events) {
    value_events[value_events["none"] = 2000] = "none";
    value_events[value_events["energy_changed"] = 2001] = "energy_changed";
    value_events[value_events["silver_change"] = 2002] = "silver_change";
    value_events[value_events["gold_changed"] = 2003] = "gold_changed";
})(value_events = exports.value_events || (exports.value_events = {}));

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=game_events.js.map
        