// export const game_events =  {
//     top_layer_begin_change: 'TOP_LAYER_BEGIN_CHANGE',
//     top_layer_changed:'TOP_LAYER_CHANGED',
//     layer_clear:'LAYER_CLEAR',
//     layer_count_changed:'LAYER_COUNT_CHANGED',
//     start_layer_changed:'START_LAYER_CHANGED',
//     side_cells_changed:'SIDE_CELLS_CHANGED',
//     cell_size_changed:'CELL_SIZE_CHANGED',
//     cell_space_changed:'CELL_SPACE_CHANGED',
//     total_cells_changed:'CELL_COUNT_CHANGED',
//     block_clicked: 'BLOCK_CLICKED',
//     block_progress_changed: 'BLOCK_PROGRESS_CHANGE',
//     unwalkable: 'UNWALKABLE',
//     walkable: 'WALKABLE',
//     path_found: 'PATH_FOUND',
//     reach_target: 'REACH_TARGET',
//     block_dead: 'BLOCK_DEAD',
//     energy_changed: 'ENERGY_CHANGED',
//     silver_changed: 'SILVER_CHANGED',
//     gold_changed: 'GOLD_CHANGED',
//     active_block_prize: 'ACTIVE_BLOCK_PRIZE',
// };


export enum game_events{
    game_model_ready,
    top_layer_begin_change,

    layer_clear,
    layer_count_changed,
    start_layer_changed,
    side_cells_changed,
    cell_size_changed,
    cell_space_changed,
    total_cells_changed,
    block_clicked,
    block_progress_changed,
    unwalkable,
    walkable,
    path_found,
    reach_target,
    block_dead,
    energy_changed,
    silver_changed,
    gold_changed,
    show_block_prize,
    game_prop_btn_selected,
    game_prop_btn_deselected,
    lift_reached,
    block_life_changed,

    signed_in = 'signed_in',         // 签到完成
    play_roulette = 'play_roulette',
    use_prop = 'use_prop',
    enter_mine = 'enter_mine',
    top_layer_changed = 'top_layer_changed',
    enter_dig_mine_play = 'enter_dig_mine_play',
    roulette_btn_clicked = 'roulette_btn_clicked',
    answered = 'answered',
}

export enum block_prize_events{
    silver_mine_hit = 1000,
    gold_mine_hit ,
    row_bomb_hit,
    col_bomb_hit,
    cross_bomb_hit,
    layer_bomb_hit,
    add_silver_mine,
    add_gold_mine,
    add_row_bomb,
    add_col_bomb,
    add_cross_bomb,
    add_layer_bomb,
}

export enum value_events{
    none = 2000,
    energy_changed,
    silver_change,
    gold_changed,
}





