(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/scripts/utils/array_extension.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, '8d8b8opo7ZOcb6X8Zt57bYU', 'array_extension', __filename);
// scripts/utils/array_extension.js

'use strict';

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

require('./math_extension');
module.exports = function () {
    /**
     * swap array[index_1] and array[index_2] value
     * @param {number} index_1 [0, array.length)
     * @param {number} index_2 [0, array.length)
     */
    Array.prototype.swap = function (index_1, index_2) {
        var tmp = this[index_1];
        this[index_1] = this[index_2];
        this[index_2] = tmp;
    };
    Array.prototype.shuffle = function () {
        var half = Math.round(this.length / 2.0);
        for (var i = 0; i < half; ++i) {
            this.swap(Math.random_int(this.length), Math.random_int(this.length));
        }
    };
    Array.prototype.last_index = function () {
        return this.length - 1;
    };
    Array.prototype.last = function () {
        if (this.length === 0) return null;else return this[this.last_index()];
    };
    Array.prototype.first = function () {
        if (this.length === 0) return null;else return this[0];
    };
    Array.prototype.clone = function () {
        return [].concat(_toConsumableArray(this));
    };

    /*
        导致creator资源管理器面板文件夹打不开
        Array.prototype.toString = function () {
            let str='[';
            for (let obj of this) {
                str += obj.toString() + ' '
            }
            str += ']';
            return str;
        }
        */
}();

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=array_extension.js.map
        